<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.com.ty.lift.business.maintenance.dao.mapper.MaintenanceCompanyMapper" >
	<resultMap id="BaseResultMap" type="cn.com.ty.lift.business.maintenance.dao.entity.MaintenanceCompany" >
		<id column="id" property="id" jdbcType="BIGINT" />
		<result column="name" property="name" jdbcType="VARCHAR" />
		<result column="address" property="address" jdbcType="VARCHAR" />
		<result column="registered_capital" property="registeredCapital" jdbcType="DECIMAL" />
		<result column="corporator" property="corporator" jdbcType="VARCHAR" />
		<result column="telephone" property="telephone" jdbcType="VARCHAR" />
		<result column="mainbusiness" property="mainbusiness" jdbcType="LONGVARCHAR" />
		<result column="business_license_code" property="businessLicenseCode" jdbcType="CHAR" />
		<result column="business_license_annex" property="businessLicenseAnnex" jdbcType="VARCHAR" />
		<result column="remarks" property="remarks" jdbcType="VARCHAR" />
		<result column="is_certificated" property="isCertificated" jdbcType="TINYINT" />
		<result column="status" property="status" jdbcType="TINYINT" />
		<result column="creator_id" property="creatorId" jdbcType="BIGINT" />
		<result column="create_date" property="createDate" jdbcType="TIMESTAMP" />
		<result column="limited_num" property="limitedNum" jdbcType="INTEGER" />
		<result column="service_total" property="serviceTotal" jdbcType="INTEGER" />
		<result column="satisfaction_total" property="satisfactionTotal" jdbcType="INTEGER" />
		<result column="service_count" property="serviceCount" jdbcType="INTEGER" />
		<result column="level" property="level" jdbcType="INTEGER" />
		<result column="logo_img" property="logoImg" jdbcType="VARCHAR" />
		<result column="maintenance_total" property="maintenanceTotal" jdbcType="INTEGER" />
		<result column="emergency_total" property="emergencyTotal" jdbcType="INTEGER" />
		<result column="lift_total" property="liftTotal" jdbcType="INTEGER" />
		<result column="is_clock" property="isClock" jdbcType="TINYINT" />
		<result column="top_time" property="topTime" jdbcType="TIMESTAMP" />
		<result column="down_time" property="downTime" jdbcType="TIMESTAMP" />
		<result column="is_updown" property="isUpdown" jdbcType="INTEGER" />
	</resultMap>

	<sql id="Base_Column_List" >
		id, name, address, registered_capital, corporator, telephone, mainbusiness, business_license_code,
		business_license_annex, remarks, is_certificated, status, creator_id, create_date, 
		limited_num, service_total, satisfaction_total, service_count, level, logo_img, maintenance_total, 
		emergency_total, lift_total, is_clock, top_time, down_time, is_updown
	</sql>

</mapper>